C*	QXCM	- COMMON FOR QX
C
	IMPLICIT	BYTE(B), LOGICAL(L), INTEGER*4(K)
C
	COMMON	SPRID(3), SPRBUF(128,5)
	COMMON	IENT(0:15)
C
	COMMON	NEXTSV, ILEV, IDFUIC, NEXTAD
	COMMON	LEMPTY, LACT, LPRHD, LHEADR
	COMMON	LSWEC, LSWOW, LSWTI, LSWRE, LSWPD
C
C	SECTION FOR OUTPUT DEVICE CUMULATIVE STATS
C
	COMMON	FSTAT(4,5), MAXDEV
C
	DIMENSION	BENT(0:31), LSW(5), ISTAT(8,5)
	EQUIVALENCE	(IENT,BENT), (LSW,LSWEC), (FSTAT,ISTAT)
C
C	DEFINE OFFSETS FOR QUEUE ENTRY (16 WORDS)
C	NOTE THAT VALUES ARE DECIMAL NUMBERS, ARE BYTE OFFSETS AND BEGIN
C	COUNTING FROM 0.
C
	PARAMETER	QDEV	= 0		! QUEUE DEVICE NAME (ASCII A2)
	PARAMETER	QUNIT	= 2		! QUEUE DEVICE UNIT # (RHB)
	PARAMETER	QPRI	= 3		! QUE PRIORITY (LHB)
	PARAMETER	QFOCO	= 4		! COPY/FORM (BITS 0-4,5-7) (RHB)
	PARAMETER	QFLAG	= 5		! FLAGS BYTE, SEE BELOW (LHB)
	PARAMETER	QFDEV	= 6		! FILE DEVICE (ASCII A2)
	PARAMETER	QFUNI	= 8		! FILE DEVICE UNIT # (FULL WORD)
	PARAMETER	QFDID	= 10		! FILE DIRECTORY ID (3 WORDS)
	PARAMETER	QFNAM	= 16		! FILE NAME (3 WORDS, RAD50)
	PARAMETER	QFTYP	= 22		! FILE TYPE (1 WORD RAD50)
	PARAMETER	QFVER	= 24		! FILE VERSION # (1 WORD)
	PARAMETER	QSEQ	= 26		! QUE SEQUENCE NUMBER (1 WORD)
	PARAMETER	QUIC	= 28		! OWNER UIC (LHB:GR, RHB:OW)
	PARAMETER	QLINK	= 30		! LINK TO NEXT ELEMENT
C
C	NOW THE OFFSETS FOR CONCATENATED HEADER RECORDS
C	OTHER OFFSETS ARE THE SAME AS ABOVE, BUT WORDS (11-13) (FROM 0), ARE
C	NOT USED IN THE CONCATENATED HEADER.  NOTE THAT A CONCATENATED ENTRY
C	HAS THE SAME FORMAT AS A NORMAL ENTRY.
C
	PARAMETER	QCTI	= 6		! PUD ADDRESS OF TI:
	PARAMETER	QCLNK	= 8		! LINK TO CONCATENATED ENTRY
	PARAMETER	QCFRM	= 10		! FORMS ?
	PARAMETER	QCTN	= 12		! REQUESTOR TASK (2 RAD50 WORDS)
	PARAMETER	QCDN	= 16		! DEVICE NAME (ASCII A2)
	PARAMETER	QCUN	= 18		! DEVICE UNIT # (1 WORD)
C
C	AND THE BIT DEFINITIONS FOR THE 'FLAGS' BYTE
C	SHIFT THE BYTE VALUE LEFT SO WORD OPERATIONS WILL WORK.
C
	PARAMETER	QFCH	= "10000	! CONCATENATED HEADER
	PARAMETER	QFCE	= "20000	! CONCATENATED END
	PARAMETER	QFCN	= "400		! CONCATENATED OUTPUT
	PARAMETER	QFND	= "40000	! NO DELETE (PRESERVE)
	PARAMETER	QFNH	= "100000	! NO HEADER (/NOBAN)
